commit 5fafdf24ef2c090c164d4dc89684b3f379dbdd87
Author: ths <ths@c046a42c-6fe2-441c-8c8c-71466251a162>
Date:   Sun Sep 16 21:08:06 2007 +0000

    find -type f | xargs sed -i 's/[\t ]$//g' # on most files
    
    
    git-svn-id: svn://svn.savannah.nongnu.org/qemu/trunk@3173 c046a42c-6fe2-441c-8c8c-71466251a162

diff --git a/target-ppc/mfrom_table.c b/target-ppc/mfrom_table.c
index 4c27173..6a1fa37 100644
--- a/target-ppc/mfrom_table.c
+++ b/target-ppc/mfrom_table.c
@@ -1,79 +1,79 @@
 static const uint8_t mfrom_ROM_table[602] =
 {
-     77,  77,  76,  76,  75,  75,  74,  74, 
-     73,  73,  72,  72,  71,  71,  70,  70, 
-     69,  69,  68,  68,  68,  67,  67,  66, 
-     66,  65,  65,  64,  64,  64,  63,  63, 
-     62,  62,  61,  61,  61,  60,  60,  59, 
-     59,  58,  58,  58,  57,  57,  56,  56, 
-     56,  55,  55,  54,  54,  54,  53,  53, 
-     53,  52,  52,  51,  51,  51,  50,  50, 
-     50,  49,  49,  49,  48,  48,  47,  47, 
-     47,  46,  46,  46,  45,  45,  45,  44, 
-     44,  44,  43,  43,  43,  42,  42,  42, 
-     42,  41,  41,  41,  40,  40,  40,  39, 
-     39,  39,  39,  38,  38,  38,  37,  37, 
-     37,  37,  36,  36,  36,  35,  35,  35, 
-     35,  34,  34,  34,  34,  33,  33,  33, 
-     33,  32,  32,  32,  32,  31,  31,  31, 
-     31,  30,  30,  30,  30,  29,  29,  29, 
-     29,  28,  28,  28,  28,  28,  27,  27, 
-     27,  27,  26,  26,  26,  26,  26,  25, 
-     25,  25,  25,  25,  24,  24,  24,  24, 
-     24,  23,  23,  23,  23,  23,  23,  22, 
-     22,  22,  22,  22,  21,  21,  21,  21, 
-     21,  21,  20,  20,  20,  20,  20,  20, 
-     19,  19,  19,  19,  19,  19,  19,  18, 
-     18,  18,  18,  18,  18,  17,  17,  17, 
-     17,  17,  17,  17,  16,  16,  16,  16, 
-     16,  16,  16,  16,  15,  15,  15,  15, 
-     15,  15,  15,  15,  14,  14,  14,  14, 
-     14,  14,  14,  14,  13,  13,  13,  13, 
-     13,  13,  13,  13,  13,  12,  12,  12, 
-     12,  12,  12,  12,  12,  12,  12,  11, 
-     11,  11,  11,  11,  11,  11,  11,  11, 
-     11,  11,  10,  10,  10,  10,  10,  10, 
-     10,  10,  10,  10,  10,   9,   9,   9, 
-      9,   9,   9,   9,   9,   9,   9,   9, 
-      9,   9,   8,   8,   8,   8,   8,   8, 
-      8,   8,   8,   8,   8,   8,   8,   8, 
-      7,   7,   7,   7,   7,   7,   7,   7, 
-      7,   7,   7,   7,   7,   7,   7,   7, 
-      7,   6,   6,   6,   6,   6,   6,   6, 
-      6,   6,   6,   6,   6,   6,   6,   6, 
-      6,   6,   6,   6,   5,   5,   5,   5, 
-      5,   5,   5,   5,   5,   5,   5,   5, 
-      5,   5,   5,   5,   5,   5,   5,   5, 
-      5,   5,   5,   4,   4,   4,   4,   4, 
-      4,   4,   4,   4,   4,   4,   4,   4, 
-      4,   4,   4,   4,   4,   4,   4,   4, 
-      4,   4,   4,   4,   4,   4,   4,   3, 
-      3,   3,   3,   3,   3,   3,   3,   3, 
-      3,   3,   3,   3,   3,   3,   3,   3, 
-      3,   3,   3,   3,   3,   3,   3,   3, 
-      3,   3,   3,   3,   3,   3,   3,   3, 
-      3,   3,   3,   3,   3,   2,   2,   2, 
-      2,   2,   2,   2,   2,   2,   2,   2, 
-      2,   2,   2,   2,   2,   2,   2,   2, 
-      2,   2,   2,   2,   2,   2,   2,   2, 
-      2,   2,   2,   2,   2,   2,   2,   2, 
-      2,   2,   2,   2,   2,   2,   2,   2, 
-      2,   2,   2,   2,   2,   2,   2,   2, 
-      2,   2,   2,   2,   2,   2,   1,   1, 
-      1,   1,   1,   1,   1,   1,   1,   1, 
-      1,   1,   1,   1,   1,   1,   1,   1, 
-      1,   1,   1,   1,   1,   1,   1,   1, 
-      1,   1,   1,   1,   1,   1,   1,   1, 
-      1,   1,   1,   1,   1,   1,   1,   1, 
-      1,   1,   1,   1,   1,   1,   1,   1, 
-      1,   1,   1,   1,   1,   1,   1,   1, 
-      1,   1,   1,   1,   1,   1,   1,   1, 
-      1,   1,   1,   1,   1,   1,   1,   1, 
-      1,   1,   1,   1,   1,   1,   1,   1, 
-      1,   1,   1,   1,   1,   1,   1,   1, 
-      1,   1,   1,   1,   1,   1,   1,   1, 
-      1,   1,   1,   1,   1,   1,   1,   1, 
-      1,   1,   1,   1,   1,   1,   1,   1, 
-      1,   1,   1,   1,   1,   1,   1,   1, 
-      1,   0, 
+     77,  77,  76,  76,  75,  75,  74,  74,
+     73,  73,  72,  72,  71,  71,  70,  70,
+     69,  69,  68,  68,  68,  67,  67,  66,
+     66,  65,  65,  64,  64,  64,  63,  63,
+     62,  62,  61,  61,  61,  60,  60,  59,
+     59,  58,  58,  58,  57,  57,  56,  56,
+     56,  55,  55,  54,  54,  54,  53,  53,
+     53,  52,  52,  51,  51,  51,  50,  50,
+     50,  49,  49,  49,  48,  48,  47,  47,
+     47,  46,  46,  46,  45,  45,  45,  44,
+     44,  44,  43,  43,  43,  42,  42,  42,
+     42,  41,  41,  41,  40,  40,  40,  39,
+     39,  39,  39,  38,  38,  38,  37,  37,
+     37,  37,  36,  36,  36,  35,  35,  35,
+     35,  34,  34,  34,  34,  33,  33,  33,
+     33,  32,  32,  32,  32,  31,  31,  31,
+     31,  30,  30,  30,  30,  29,  29,  29,
+     29,  28,  28,  28,  28,  28,  27,  27,
+     27,  27,  26,  26,  26,  26,  26,  25,
+     25,  25,  25,  25,  24,  24,  24,  24,
+     24,  23,  23,  23,  23,  23,  23,  22,
+     22,  22,  22,  22,  21,  21,  21,  21,
+     21,  21,  20,  20,  20,  20,  20,  20,
+     19,  19,  19,  19,  19,  19,  19,  18,
+     18,  18,  18,  18,  18,  17,  17,  17,
+     17,  17,  17,  17,  16,  16,  16,  16,
+     16,  16,  16,  16,  15,  15,  15,  15,
+     15,  15,  15,  15,  14,  14,  14,  14,
+     14,  14,  14,  14,  13,  13,  13,  13,
+     13,  13,  13,  13,  13,  12,  12,  12,
+     12,  12,  12,  12,  12,  12,  12,  11,
+     11,  11,  11,  11,  11,  11,  11,  11,
+     11,  11,  10,  10,  10,  10,  10,  10,
+     10,  10,  10,  10,  10,   9,   9,   9,
+      9,   9,   9,   9,   9,   9,   9,   9,
+      9,   9,   8,   8,   8,   8,   8,   8,
+      8,   8,   8,   8,   8,   8,   8,   8,
+      7,   7,   7,   7,   7,   7,   7,   7,
+      7,   7,   7,   7,   7,   7,   7,   7,
+      7,   6,   6,   6,   6,   6,   6,   6,
+      6,   6,   6,   6,   6,   6,   6,   6,
+      6,   6,   6,   6,   5,   5,   5,   5,
+      5,   5,   5,   5,   5,   5,   5,   5,
+      5,   5,   5,   5,   5,   5,   5,   5,
+      5,   5,   5,   4,   4,   4,   4,   4,
+      4,   4,   4,   4,   4,   4,   4,   4,
+      4,   4,   4,   4,   4,   4,   4,   4,
+      4,   4,   4,   4,   4,   4,   4,   3,
+      3,   3,   3,   3,   3,   3,   3,   3,
+      3,   3,   3,   3,   3,   3,   3,   3,
+      3,   3,   3,   3,   3,   3,   3,   3,
+      3,   3,   3,   3,   3,   3,   3,   3,
+      3,   3,   3,   3,   3,   2,   2,   2,
+      2,   2,   2,   2,   2,   2,   2,   2,
+      2,   2,   2,   2,   2,   2,   2,   2,
+      2,   2,   2,   2,   2,   2,   2,   2,
+      2,   2,   2,   2,   2,   2,   2,   2,
+      2,   2,   2,   2,   2,   2,   2,   2,
+      2,   2,   2,   2,   2,   2,   2,   2,
+      2,   2,   2,   2,   2,   2,   1,   1,
+      1,   1,   1,   1,   1,   1,   1,   1,
+      1,   1,   1,   1,   1,   1,   1,   1,
+      1,   1,   1,   1,   1,   1,   1,   1,
+      1,   1,   1,   1,   1,   1,   1,   1,
+      1,   1,   1,   1,   1,   1,   1,   1,
+      1,   1,   1,   1,   1,   1,   1,   1,
+      1,   1,   1,   1,   1,   1,   1,   1,
+      1,   1,   1,   1,   1,   1,   1,   1,
+      1,   1,   1,   1,   1,   1,   1,   1,
+      1,   1,   1,   1,   1,   1,   1,   1,
+      1,   1,   1,   1,   1,   1,   1,   1,
+      1,   1,   1,   1,   1,   1,   1,   1,
+      1,   1,   1,   1,   1,   1,   1,   1,
+      1,   1,   1,   1,   1,   1,   1,   1,
+      1,   1,   1,   1,   1,   1,   1,   1,
+      1,   0,
 };